#
# spec file for package openwbem-hms-providers (Version 1.1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 cim-schema coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio limal limal-runlevel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel openwbem openwbem-base-providers openwbem-base-providers-devel openwbem-devel pam pam-devel pam-modules patch pcre perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           openwbem-hms-providers
BuildRequires:  gcc-c++ openslp-devel openssl-devel openwbem-base-providers-devel openwbem-devel pam-devel
URL:            https://forge.provo.novell.com/modules/xfmod/project/?las
%define novellprefix /usr
%define novelllocalstatedir /var/lib/openwbem
%define novellsysconfdir /etc/openwbem
# Increment the version every time the source code changes. 
Version:        1.1.0
Release:        26.4
Group:          System/Management
Summary:        Linux Instrumentation for Enterprise OpenWBEM providers
PreReq:         /usr/bin/loadmof.sh, coreutils
License:        Commercial, Other License(s), see package
Provides:       novell-life 
Obsoletes:      novell-life
#URL:          https://forge.provo.novell.com/modules/xfmod/project/?las
# This is necessary to build the RPM as a non-root user. 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# "yes" is the default, but we put it here explicitly to avoid someone
# setting it to "no"
AutoReqProv: yes
Requires:       openwbem, openwbem-base-providers
Source0:        %{name}-%{version}.tar.gz
# decision to opensource is pending. 
# we are nosource meanwhile.
NoSource:       0

%description
Linux Instrumentation for Enterprise (LIFE) providers for the OpenWBEM
CIMOM.



Authors:
--------
    Alex Danoyan
    Bart Wise
    Bart Whiteley
    ChaoFeng Kao
    Jon Carey
    Lee Passey
    Ramandeep Kaur

%prep
# Untar the sources. 
%setup 

%build
# If the LD_RUN_PATH environment variable is set at link time, 
# it's value is embedded in the resulting binary.  At run time, 
# The binary will look here first for shared libraries.  This way
# we link against the libraries we want at run-time even if libs
# by the same name are in /usr/lib or some other path in /etc/ld.so.conf
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fstack-protector" \
CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector" \
	./configure --prefix=%{novellprefix} \
        --libdir=%_libdir 
make %{?jobs:-j%jobs}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT
# Tell 'make install' to install into the BuildRoot
make DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -f $RPM_BUILD_ROOT%{novellprefix}/%_lib/openwbem/c++providers/*.{a,la}
%{__mkdir} -p $RPM_BUILD_ROOT%{novellprefix}/share/mof/%{name}
%{__mv} $RPM_BUILD_ROOT%{novellprefix}/share/%{name}/* \
	$RPM_BUILD_ROOT%{novellprefix}/share/mof/%{name}/
rmdir $RPM_BUILD_ROOT%{novellprefix}/share/%{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
# put /opt/novell/lib in ld.so.conf
#if ! grep -q '^/opt/novell/lib$' /etc/ld.so.conf; then
#	echo "/opt/novell/lib" >> /etc/ld.so.conf
#fi
# Any RPM that installs a shared library into any directory
# listed in /etc/ld.so.conf (or into /usr/lib if it hasn't been
# fixed yet to install into the correct FHS compliant paths) 
# must run ldconfig in its post install script. 
%run_ldconfig
# load MOF 
MOFDIR=%{novellprefix}/share/mof/%{name}
loadmof.sh -n root/cimv2 \
	$MOFDIR/novell_hms_linux.mof || /bin/true

%preun
# if -e operation, not -U 
#if [ "x$1" = "x0" ]; then
#if [ -x /usr/bin/rmmof.sh ]; then
#  MOFDIR=%{novellprefix}/share/mof/%{name}
#  rmmof.sh -n root/cimv2 \
#	$MOFDIR/novell_hms_linux.mof
#fi
#fi

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%{novellprefix}/%_lib/openwbem/c++providers/*.so*
%dir %{novellprefix}/share/mof/%{name}
%{novellprefix}/share/mof/%{name}/*

%changelog -n openwbem-hms-providers
* Sat May 13 2006 - bwhiteley@suse.de
- Ensure loadmof.sh never causes script execution to fail
  (#172046)
* Mon May 08 2006 - bwhiteley@suse.de
- Removed %%preun script which used to call rmmof.sh to delete
  schema (#172046)
* Tue May 02 2006 - bwhiteley@suse.de
- Removed verbose flag to calls to loadmof.sh (#171447)
* Wed Apr 05 2006 - bwhiteley@suse.de
- Fixed to obsolete and provide novell-life (#163589)
* Wed Mar 08 2006 - bwhiteley@suse.de
- fix KB vs. MB issue (#155888)
* Tue Mar 07 2006 - bwhiteley@suse.de
- update code for base-provider name changes (#155618)
* Wed Feb 15 2006 - bwhiteley@suse.de
- compile with -fstack-protector (#65423)
* Mon Feb 13 2006 - bwhiteley@suse.de
- fix uninstall ordering (#150535)
* Fri Feb 10 2006 - bwhiteley@suse.de
- Bug 147170 - HMS causes openwbem to crash
- Bug 143217 - Errors if HMS on SLES 10p4
- Bug 143220 - Error with SLES 10p4 Network Device
* Mon Jan 30 2006 - bwhiteley@suse.de
- Some new code from bwise
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - ro@suse.de
- updated neededforbuild
* Thu Jan 12 2006 - bwhiteley@suse.de
- moved MOF files
* Tue Jan 10 2006 - bwhiteley@suse.de
- Initial build after extracting from novell-life
